Bug 1098407 - Copy Translations box does not close if process halted via Process Manager
Copy Translations box does not close if process halted via Process Manager
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity low
: ---
: 3.5
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-16 02:25 EDT by Damian Jansen
Modified: 2015-01-26 18:27 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.5.0-SNAPSHOT (git-server-3.4.1-39-g2204aa2)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 18:27:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2014-05-16 02:25:37 EDT
Description of problem:
If the Copy Translations process is halted via the admin Process Manager, the progress indicator stops but the box is still in the active state.

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
Pre: reasonable large project with documents
1. Log into zanata as admin and open two tabs
2. Go to the project version implied above, and in the other tab go Menu -> Administration -> Process manager
3. In tab 1, start a copy translations process
4. In tab 2, Cancel that process when it shows in the list

Actual results:
The Copy Translations box in tab one loses the progress bar, but remains

Expected results:
The box should either disappear, or indicate the process has been cancelled and say "Ok" instead of "Cancel"
Also, bringing the Copy Translations window back up at this point should just have the Start button, not Cancel

Additional info:
Comment 1 Alex Eng 2014-05-28 00:05:42 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/470
Comment 2 Ding-Yi Chen 2014-06-01 20:15:19 EDT
VERIFIED with Zanata 3.5.0-SNAPSHOT (git-server-3.4.1-39-g2204aa2)

Note You need to log in before you can comment on or make changes to this bug.